Package com.datecs.util

# Class Translate

java.lang.Object
com.datecs.util.Translate

    public class Translate
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `additionalHeaderNotSupported` |
  `static java.lang.String` | `additionalTrailerNotSupported` |
  `static java.lang.String` | `BarcodeExceedsPrintWidth` |
  `static java.lang.String` | `BarcodeTypeNotSupported` |
  `static java.lang.String` | `BaudrateNotSupported` |
  `static java.lang.String` | `canNotSetVatValue` |
  `static java.lang.String` | `changeDueTextNotSupported` |
  `static java.lang.String` | `changeOfVatTableNotSupported` |
  `static java.lang.String` | `changeToNewCurrencyError` |
  `static java.lang.String` | `checkTotalIsDisabled` |
  `static java.lang.String` | `CommandNotFound` |
  `static java.lang.String` | `ConfirmDateFailed` |
  `static java.lang.String` | `couldNotLoadProperty` |
  `static java.lang.String` | `dayIsOpened` |
  `static java.lang.String` | `deviceIsEnabled` |
  `static java.lang.String` | `deviceIsNotClaimed` |
  `static java.lang.String` | `EJNearFull` |
  `static java.lang.String` | `endDumpFailed` |
  `static java.lang.String` | `FailedCancelReceipt` |
  `static java.lang.String` | `failedConfirmDate` |
  `static java.lang.String` | `FMEndDayRequired` |
  `static java.lang.String` | `FMLastRecordCorrupted` |
  `static java.lang.String` | `FMLowBattery` |
  `static java.lang.String` | `FMOverflow` |
  `static java.lang.String` | `graphicsNotSupported` |
  `static java.lang.String` | `InsufficientDataLen` |
  `static java.lang.String` | `InsufficientObjectLen` |
  `static java.lang.String` | `InternalHealthCheck` |
  `static java.lang.String` | `InvalidAnswerLength` |
  `static java.lang.String` | `InvalidBarcodeHeight` |
  `static java.lang.String` | `InvalidBarcodePrintType` |
  `static java.lang.String` | `InvalidFieldValue` |
  `static java.lang.String` | `invalidFiscalReceiptType` |
  `static java.lang.String` | `InvalidImageHeight` |
  `static java.lang.String` | `InvalidImageIndex` |
  `static java.lang.String` | `InvalidImageWidth` |
  `static java.lang.String` | `InvalidLineNumber` |
  `static java.lang.String` | `invalidNumber` |
  `static java.lang.String` | `invalidParameterValue` |
  `static java.lang.String` | `invalidPropertyValue` |
  `static java.lang.String` | `journalStationNotPresent` |
  `static java.lang.String` | `jposEntryDoesNotContainProperty` |
  `static java.lang.String` | `JrnLeverUp` |
  `static java.lang.String` | `JrnPaperEmpty` |
  `static java.lang.String` | `JrnPaperNearEnd` |
  `static java.lang.String` | `LockedTaxPassword` |
  `static java.lang.String` | `messageTypeNotSupported` |
  `static java.lang.String` | `methodIsDisabledByCap` |
  `static java.lang.String` | `methodNotSupported` |
  `static java.lang.String` | `methodNotSupportedForFiscRecType` |
  `static java.lang.String` | `multipleContractorsNotSupported` |
  `static java.lang.String` | `NoConnection` |
  `static java.lang.String` | `NoErrors` |
  `static java.lang.String` | `nonFiscalModeNotAllowed` |
  `static java.lang.String` | `noSupportedItemList` |
  `static java.lang.String` | `NotImplemented` |
  `static java.lang.String` | `notPaidReceiptsNotSupported` |
  `static java.lang.String` | `NullDataParameter` |
  `static java.lang.String` | `NullObjectParameter` |
  `static java.lang.String` | `onlySerialPortsAreHandled` |
  `static java.lang.String` | `PhysicalDeviceDescription` |
  `static java.lang.String` | `portIsCurrentlyInUse` |
  `static java.lang.String` | `postPreLineIsDisabled` |
  `static java.lang.String` | `predefinedPaymentLinesNotSupported` |
  `static java.lang.String` | `PrinterSupportesEAN13Only` |
  `static java.lang.String` | `printRecNotPaidIsDisabled` |
  `static java.lang.String` | `PropNotFound` |
  `static java.lang.String` | `ReadAnswerError` |
  `static java.lang.String` | `receiptDuplicationNotSupported` |
  `static java.lang.String` | `receiptStationNotPresent` |
  `static java.lang.String` | `ReceiveTimeoutNotSupported` |
  `static java.lang.String` | `RecPaperEmpty` |
  `static java.lang.String` | `RecPaperNearEnd` |
  `static java.lang.String` | `refundNotSupported` |
  `static java.lang.String` | `serviceIsAlreadyOpen` |
  `static java.lang.String` | `serviceIsNotOpen` |
  `static java.lang.String` | `setFiscalReceiptTypeIsDisabled` |
  `static java.lang.String` | `setPOSIDIsDisabled` |
  `static java.lang.String` | `slipStationNotPresent` |
  `static java.lang.String` | `StopTestFailed` |
  `static java.lang.String` | `trainingMethodNotSupported` |
  `static java.lang.String` | `UnknownPrinterError` |
  `static java.lang.String` | `vatIDnotInrange` |
  `static java.lang.String` | `vatTableNotSupported` |
  `static java.lang.String` | `WriteCommandError` |
  `static java.lang.String` | `WriteDecimalPointFailed` |
  `static java.lang.String` | `wrongPrinterState` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `getDefaultFileName()` |
  `static Translate` | `getInstance()` |
  `static java.lang.String` | `getString​(java.lang.String key)` |
  `static void` | `init​(java.lang.String fileName)` |
  `void` | `loadFromResource​(java.lang.String resourceName)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### invalidNumber

    public static final java.lang.String invalidNumber
    See Also:
      Constant Field Values

  - ### serviceIsAlreadyOpen

    public static final java.lang.String serviceIsAlreadyOpen
    See Also:
      Constant Field Values

  - ### serviceIsNotOpen

    public static final java.lang.String serviceIsNotOpen
    See Also:
      Constant Field Values

  - ### deviceIsNotClaimed

    public static final java.lang.String deviceIsNotClaimed
    See Also:
      Constant Field Values

  - ### changeToNewCurrencyError

    public static final java.lang.String changeToNewCurrencyError
    See Also:
      Constant Field Values

  - ### trainingMethodNotSupported

    public static final java.lang.String trainingMethodNotSupported
    See Also:
      Constant Field Values

  - ### jposEntryDoesNotContainProperty

    public static final java.lang.String jposEntryDoesNotContainProperty
    See Also:
      Constant Field Values

  - ### couldNotLoadProperty

    public static final java.lang.String couldNotLoadProperty
    See Also:
      Constant Field Values

  - ### onlySerialPortsAreHandled

    public static final java.lang.String onlySerialPortsAreHandled
    See Also:
      Constant Field Values

  - ### portIsCurrentlyInUse

    public static final java.lang.String portIsCurrentlyInUse
    See Also:
      Constant Field Values

  - ### setFiscalReceiptTypeIsDisabled

    public static final java.lang.String setFiscalReceiptTypeIsDisabled
    See Also:
      Constant Field Values

  - ### postPreLineIsDisabled

    public static final java.lang.String postPreLineIsDisabled
    See Also:
      Constant Field Values

  - ### printRecNotPaidIsDisabled

    public static final java.lang.String printRecNotPaidIsDisabled
    See Also:
      Constant Field Values

  - ### checkTotalIsDisabled

    public static final java.lang.String checkTotalIsDisabled
    See Also:
      Constant Field Values

  - ### setPOSIDIsDisabled

    public static final java.lang.String setPOSIDIsDisabled
    See Also:
      Constant Field Values

  - ### predefinedPaymentLinesNotSupported

    public static final java.lang.String predefinedPaymentLinesNotSupported
    See Also:
      Constant Field Values

  - ### methodIsDisabledByCap

    public static final java.lang.String methodIsDisabledByCap
    See Also:
      Constant Field Values

  - ### dayIsOpened

    public static final java.lang.String dayIsOpened
    See Also:
      Constant Field Values

  - ### canNotSetVatValue

    public static final java.lang.String canNotSetVatValue
    See Also:
      Constant Field Values

  - ### refundNotSupported

    public static final java.lang.String refundNotSupported
    See Also:
      Constant Field Values

  - ### vatTableNotSupported

    public static final java.lang.String vatTableNotSupported
    See Also:
      Constant Field Values

  - ### vatIDnotInrange

    public static final java.lang.String vatIDnotInrange
    See Also:
      Constant Field Values

  - ### changeOfVatTableNotSupported

    public static final java.lang.String changeOfVatTableNotSupported
    See Also:
      Constant Field Values

  - ### nonFiscalModeNotAllowed

    public static final java.lang.String nonFiscalModeNotAllowed
    See Also:
      Constant Field Values

  - ### receiptDuplicationNotSupported

    public static final java.lang.String receiptDuplicationNotSupported
    See Also:
      Constant Field Values

  - ### deviceIsEnabled

    public static final java.lang.String deviceIsEnabled
    See Also:
      Constant Field Values

  - ### additionalHeaderNotSupported

    public static final java.lang.String additionalHeaderNotSupported
    See Also:
      Constant Field Values

  - ### additionalTrailerNotSupported

    public static final java.lang.String additionalTrailerNotSupported
    See Also:
      Constant Field Values

  - ### changeDueTextNotSupported

    public static final java.lang.String changeDueTextNotSupported
    See Also:
      Constant Field Values

  - ### multipleContractorsNotSupported

    public static final java.lang.String multipleContractorsNotSupported
    See Also:
      Constant Field Values

  - ### messageTypeNotSupported

    public static final java.lang.String messageTypeNotSupported
    See Also:
      Constant Field Values

  - ### methodNotSupported

    public static final java.lang.String methodNotSupported
    See Also:
      Constant Field Values

  - ### methodNotSupportedForFiscRecType

    public static final java.lang.String methodNotSupportedForFiscRecType
    See Also:
      Constant Field Values

  - ### invalidParameterValue

    public static final java.lang.String invalidParameterValue
    See Also:
      Constant Field Values

  - ### invalidPropertyValue

    public static final java.lang.String invalidPropertyValue
    See Also:
      Constant Field Values

  - ### notPaidReceiptsNotSupported

    public static final java.lang.String notPaidReceiptsNotSupported
    See Also:
      Constant Field Values

  - ### noSupportedItemList

    public static final java.lang.String noSupportedItemList
    See Also:
      Constant Field Values

  - ### invalidFiscalReceiptType

    public static final java.lang.String invalidFiscalReceiptType
    See Also:
      Constant Field Values

  - ### failedConfirmDate

    public static final java.lang.String failedConfirmDate
    See Also:
      Constant Field Values

  - ### wrongPrinterState

    public static final java.lang.String wrongPrinterState
    See Also:
      Constant Field Values

  - ### slipStationNotPresent

    public static final java.lang.String slipStationNotPresent
    See Also:
      Constant Field Values

  - ### receiptStationNotPresent

    public static final java.lang.String receiptStationNotPresent
    See Also:
      Constant Field Values

  - ### journalStationNotPresent

    public static final java.lang.String journalStationNotPresent
    See Also:
      Constant Field Values

  - ### graphicsNotSupported

    public static final java.lang.String graphicsNotSupported
    See Also:
      Constant Field Values

  - ### endDumpFailed

    public static final java.lang.String endDumpFailed
    See Also:
      Constant Field Values

  - ### LockedTaxPassword

    public static final java.lang.String LockedTaxPassword
    See Also:
      Constant Field Values

  - ### ConfirmDateFailed

    public static final java.lang.String ConfirmDateFailed
    See Also:
      Constant Field Values

  - ### WriteDecimalPointFailed

    public static final java.lang.String WriteDecimalPointFailed
    See Also:
      Constant Field Values

  - ### StopTestFailed

    public static final java.lang.String StopTestFailed
    See Also:
      Constant Field Values

  - ### PrinterSupportesEAN13Only

    public static final java.lang.String PrinterSupportesEAN13Only
    See Also:
      Constant Field Values

  - ### InvalidBarcodeHeight

    public static final java.lang.String InvalidBarcodeHeight
    See Also:
      Constant Field Values

  - ### InvalidBarcodePrintType

    public static final java.lang.String InvalidBarcodePrintType
    See Also:
      Constant Field Values

  - ### InvalidAnswerLength

    public static final java.lang.String InvalidAnswerLength
    See Also:
      Constant Field Values

  - ### InvalidFieldValue

    public static final java.lang.String InvalidFieldValue
    See Also:
      Constant Field Values

  - ### NoConnection

    public static final java.lang.String NoConnection
    See Also:
      Constant Field Values

  - ### ReadAnswerError

    public static final java.lang.String ReadAnswerError
    See Also:
      Constant Field Values

  - ### WriteCommandError

    public static final java.lang.String WriteCommandError
    See Also:
      Constant Field Values

  - ### ReceiveTimeoutNotSupported

    public static final java.lang.String ReceiveTimeoutNotSupported
    See Also:
      Constant Field Values

  - ### NotImplemented

    public static final java.lang.String NotImplemented
    See Also:
      Constant Field Values

  - ### CommandNotFound

    public static final java.lang.String CommandNotFound
    See Also:
      Constant Field Values

  - ### NullDataParameter

    public static final java.lang.String NullDataParameter
    See Also:
      Constant Field Values

  - ### NullObjectParameter

    public static final java.lang.String NullObjectParameter
    See Also:
      Constant Field Values

  - ### InsufficientDataLen

    public static final java.lang.String InsufficientDataLen
    See Also:
      Constant Field Values

  - ### InsufficientObjectLen

    public static final java.lang.String InsufficientObjectLen
    See Also:
      Constant Field Values

  - ### BarcodeTypeNotSupported

    public static final java.lang.String BarcodeTypeNotSupported
    See Also:
      Constant Field Values

  - ### BarcodeExceedsPrintWidth

    public static final java.lang.String BarcodeExceedsPrintWidth
    See Also:
      Constant Field Values

  - ### FailedCancelReceipt

    public static final java.lang.String FailedCancelReceipt
    See Also:
      Constant Field Values

  - ### BaudrateNotSupported

    public static final java.lang.String BaudrateNotSupported
    See Also:
      Constant Field Values

  - ### InvalidLineNumber

    public static final java.lang.String InvalidLineNumber
    See Also:
      Constant Field Values

  - ### InvalidImageHeight

    public static final java.lang.String InvalidImageHeight
    See Also:
      Constant Field Values

  - ### InvalidImageWidth

    public static final java.lang.String InvalidImageWidth
    See Also:
      Constant Field Values

  - ### InvalidImageIndex

    public static final java.lang.String InvalidImageIndex
    See Also:
      Constant Field Values

  - ### PropNotFound

    public static final java.lang.String PropNotFound
    See Also:
      Constant Field Values

  - ### UnknownPrinterError

    public static final java.lang.String UnknownPrinterError
    See Also:
      Constant Field Values

  - ### InternalHealthCheck

    public static final java.lang.String InternalHealthCheck
    See Also:
      Constant Field Values

  - ### RecPaperEmpty

    public static final java.lang.String RecPaperEmpty
    See Also:
      Constant Field Values

  - ### RecPaperNearEnd

    public static final java.lang.String RecPaperNearEnd
    See Also:
      Constant Field Values

  - ### JrnPaperEmpty

    public static final java.lang.String JrnPaperEmpty
    See Also:
      Constant Field Values

  - ### JrnPaperNearEnd

    public static final java.lang.String JrnPaperNearEnd
    See Also:
      Constant Field Values

  - ### JrnLeverUp

    public static final java.lang.String JrnLeverUp
    See Also:
      Constant Field Values

  - ### EJNearFull

    public static final java.lang.String EJNearFull
    See Also:
      Constant Field Values

  - ### FMOverflow

    public static final java.lang.String FMOverflow
    See Also:
      Constant Field Values

  - ### FMLowBattery

    public static final java.lang.String FMLowBattery
    See Also:
      Constant Field Values

  - ### FMLastRecordCorrupted

    public static final java.lang.String FMLastRecordCorrupted
    See Also:
      Constant Field Values

  - ### FMEndDayRequired

    public static final java.lang.String FMEndDayRequired
    See Also:
      Constant Field Values

  - ### NoErrors

    public static final java.lang.String NoErrors
    See Also:
      Constant Field Values

  - ### PhysicalDeviceDescription

    public static final java.lang.String PhysicalDeviceDescription
    See Also:
      Constant Field Values

- ## Method Details

  - ### loadFromResource

    public void loadFromResource​(java.lang.String resourceName)

  - ### getDefaultFileName

    public static java.lang.String getDefaultFileName()

  - ### getInstance

    public static Translate getInstance()

  - ### init

    public static void init​(java.lang.String fileName)

  - ### getString

    public static java.lang.String getString​(java.lang.String key)